<?php

class CICCARD extends PaymentModule
{

	function _initVars()
	{
		$this->title = CICCARD_TTL;
		$this->description = CICCARD_DSCR;
		$this->sort_order = 1;
		$this->Settings = array("CONF_PAYMENTMODULE_ICCARD_TERMINAL", "CONF_PAYMENTMODULE_ICCARD_RIAL_CURRENCY");
	}

	function after_processing_html( $orderID ) 
	{
		$order = ordGetOrder( $orderID );
		if ( $this->_getSettingValue('CONF_PAYMENTMODULE_ICCARD_RIAL_CURRENCY') > 0 )
		{
			$PAcurr = currGetCurrencyByID ( $this->_getSettingValue('CONF_PAYMENTMODULE_ICCARD_RIAL_CURRENCY') );
			$PAcurr_rate = $PAcurr["currency_value"];
		}
		if (!isset($PAcurr) || !$PAcurr)
		{
			$PAcurr_rate = 1;
		}
		$order_amount = round(100*$order["order_amount"] * $PAcurr_rate)/100;
		$modID = $this->get_id();
		$terminal = $this->_getSettingValue('CONF_PAYMENTMODULE_ICCARD_TERMINAL');
		require_once(dirname(dirname(dirname(__FILE__)).'/classes/iccard_payment_helper.class.php'));
		$i = new ICCard_Payment_Helper($terminal);
		$r = $i->paymentRequest(array(
				'amount'   => intval(ceil($order_amount)),
				'order_id' => $orderID,
				'callback' => CONF_FULL_SHOP_URL."?iccard&modID=$modID&pay=1",
			));
		if ($r)
		{
			$i->redirect(true);
		}
		else
		{
			echo $i->error;
		}
	}

	function _initSettingFields()
	{
		$this->SettingsFields['CONF_PAYMENTMODULE_ICCARD_TERMINAL'] = array(
				'settings_value' => '', 
				'settings_title' => CICCARD_CFG_TERMINAL_TTL, 
				'settings_description' => CICCARD_CFG_TERMINAL_DSCR, 
				'settings_html_function' => 'setting_TEXT_BOX(0,', 
				'sort_order' => 1,
			);
		$this->SettingsFields['CONF_PAYMENTMODULE_ICCARD_RIAL_CURRENCY'] = array(
				'settings_value' => '0', 
				'settings_title' => CICCARD_CFG_RIAL_CURRENCY_TTL, 
				'settings_description' => CICCARD_CFG_RIAL_CURRENCY_DSCR, 
				'settings_html_function' => 'setting_CURRENCY_SELECT(', 
				'sort_order' => 1,
			);
	}

}

?>